<div class="center-element width-full">
    <canvas id="${_id}" #{if _setHeight != null}height="${_setHeight}px" #{/if}></canvas>
</div>
#{set 'moreStyles'}
<style>
    class$="-legend"] {
        list-style: none;
        cursor: pointer;
        padding-left: 0;
    }

    [class$="-legend"] li {
        display: flex !important;
        padding: 0 5px;
        font-style: normal;
        font-weight: normal;
        font-size: 14px;
        padding-bottom: 5px;
        line-height: 21px;
        color: #000000;
    }

    [class$="-legend"] li.hidden {
        text-decoration: line-through;
    }

    [class$="-legend"] li span {
        border-radius: 10px;
        padding-right: 18px;
        display: inline-block;
        height: 18px;
        margin-right: 10px;
        width: 18px;
    }
.center-element {margin: auto;width: 50%;padding: 10px;}
canvas{-moz-user-select: none;-webkit-user-select: none;-ms-user-select: none;}
</style>
#{/set}
#{set _scriptName == null ? 'chartScripts' : _scriptName}
<script src="@{'/public/vendor/chart/dist/Chart.bundle.min.js'}"></script>
<script>
    var colorOffset = ${_colorOffset == null ? 0 : _colorOffset};
    var colors =  [
        '#E24858', '#E4A118','#13A2B4', '#58B5AB',
        '#EC8101', '#1F5479', '#BED73B', '#000000'
    ]
    var ctx = document.getElementById('${_id}').getContext('2d');
	var myChart = new Chart(ctx, {
		type: 'horizontalBar',
        data: {
            labels: [#{list items: _chartable.labels, as: 'label'} '${label}', #{/list}],
            datasets: [
				#{list items: _chartable.datasets, as: 'dataset'}
                    {
                        label: '${dataset.label}',
                        fill: false,
                        data: [#{list items: dataset.data, as: 'data'} '${data}', #{/list}],
                        borderColor: colors[${dataset.number}+colorOffset],
                        backgroundColor: colors[${dataset.number}+colorOffset],
                        pointBackgroundColor: [#{list items: dataset.data, as: 'data'} colors[${dataset.number}+colorOffset], #{/list}],
                        pointBorderColor: [#{list items: dataset.data, as: 'data'} colors[${dataset.number}+colorOffset], #{/list}],
                        borderWidth: 0
                    },
				#{/list}
            ]
        },
		options: {
					responsive: true,
					legend: {
                        display: ${ _legend == null},
						position: 'bottom',
						labels : {
							fontSize:14,
						},
					},
					title: {
						display: ${_title != null},
                        text: '${_title}',
						fontSize: 18,
					},
					tooltips: {
						mode: 'index',
						intersect: false,
                        #{if _money}
                            callbacks: {
                                label: function(tooltipItem, data) {
                                    var value = data.datasets[tooltipItem.datasetIndex].data[tooltipItem.index];
                                    return formatCurrenciesJuta(value);
                                }
                            }
                        #{/if}
                        #{elseif _number}
                            callbacks: {
                                label: function(tooltipItem, data) {
                                    var value = data.datasets[tooltipItem.datasetIndex].data[tooltipItem.index];
                                    return formatNumberIndonesia(value);
                                }
                            }
                        #{/elseif}
					},
					hover: {
						mode: 'nearest',
						intersect: true
					},
					scales: {
						yAxes: [{
							display: true,
							ticks: {
								fontSize: 10,
                                #{if _setYMaxRotation !=  null} maxRotation: ${_setYMaxRotation}, #{/if}
                                #{if _setYMinRotation !=  null} minRotation: ${_setYMinRotation}, #{/if}
							},
							scaleLabel: {
								display: ${_yLabel != null},
                                labelString: '${_yLabel}',
								fontSize: 10,
							},
                            barPercentage: 0.4,
						}],
						xAxes: [{
							display: true,
                            #{if _setType !=  null} type: '${_setType}', #{/if}
							ticks: {
                                #{if _setMaxTicksLimit !=  null} maxTicksLimit: ${_setMaxTicksLimit}, #{/if}
                                beginAtZero: true,
                                #{if _setMaxRotation !=  null} maxRotation: ${_setMaxRotation}, #{/if}
                                #{if _setMinRotation !=  null} minRotation: ${_setMinRotation}, #{/if}
								fontSize: 10,
								#{if _money}
                                    callback: function(label, index, labels) {
                                        return formatCurrenciesJuta(label)
                                    },
								#{/if}
                                #{elseif _number}
                                    callback: function(label, index, labels) {
                                        return formatNumberIndonesia(label)
                                    },
                                #{/elseif}
							},
							scaleLabel: {
								display: ${_xLabel != null},
                                labelString: '${_xLabel}',
								fontSize: 10,
							}
						}]
					}
		}
	});
    #{if _legend !=  null && !_legend.equals('')}
    var myLegendContainer = document.getElementById("${_legend}");
    // generate HTML legend
    myLegendContainer.innerHTML = myChart.generateLegend();
    #{/if}
</script>
#{/set}
